import b64 from 'base-64';
import _ from 'lodash';

import unlogged from '/config/unlogged';

export const login = ({ email, password }) => {
    let body = {
        'email'    : email,
        'password' : b64.encode(password),
        'type'     : 'MOBILE'
    };

    unlogged.post('/login', body)
        .then(res => {
            let headers = res.headers;
            let data    = res.data;
            let message = data.message;

            if (_.has(headers, 'x-token')) return res;
            else return {
                data    : data,
                message : message
            }
        })
        .catch(error => {
            let response = error.response;
            let request  = error.request;
            let message  = error.message;
            let config   = error.config;

            if (response) {
                let data    = response.data;
                let status  = response.status;
                let headers = response.headers;

                console.log(data);
                console.log(status);
                console.log(headers);
                return {
                    error   : error,
                    message : message
                };
            }
            else if (request) console.log(request);
            else console.log('Error', message);

            console.log(config);
        });
};
